/* SHED Magazine Arduino Sketch Button Input
 - Reads state of Pushbutton, changes state of 2 LEDS
 - SEE the comments after "//" on each line below
 - CONNECTIONS:
 - Pushbutton Switch from +5 to Pin 3
 - 10K Resistor from Pin 3 to ground
 - LED and 220 ohm resistor in series from pins 10 and 11 to Gnd
 - V1.00 09/17/12
 Questions: terry@yourduino.com */

/*-----( Declare Constants and Pin Numbers )-----*/
#define buttonPin  3    // Pins to connect to
#define ledPin1    10
#define ledPin2    11

void setup()   /****** SETUP: RUNS ONCE ******/
{
  pinMode (ledPin1,OUTPUT) ;	// PIN 10 is an OUTPUT	
  pinMode (ledPin2, OUTPUT) ;	// PIN 11 is an OUPUT
  pinMode (buttonPin, INPUT) ;	// PIN 3  is an INPUT
}//--(end setup )---


void loop()   /****** LOOP: RUNS CONSTANTLY ******/
{
  if  (digitalRead(buttonPin)==HIGH)  // IF button is pushed
  {
    digitalWrite(ledPin1, HIGH) ;		// LED1 ON
    digitalWrite(ledPin2, LOW) ;		// LED2 OFF
  }  
  else 
  {
    digitalWrite(ledPin1, LOW) ;		// LED1 OFF
    digitalWrite(ledPin2, HIGH) ;		// LED2 ON
  }
  delay(50);  // Switch may be "bouncing". Wait a bit

}//--(end main loop )---





